efl::eina::array< T, CloneAllocator, Enable > Class Template Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Friends
efl::eina::array< T, CloneAllocator, Enable > Class Template Reference

## Public Types
typedef _base_type::value_type | value_type
| The type of each element. More...
typedef _base_type::reference | reference
| Type for a reference to an element. More...
typedef _base_type::const_reference | const_reference
| Type for a constant reference to an element. More...
typedef _base_type::const_iterator | const_iterator
| Type for a iterator for this container. More...
typedef _base_type::iterator | iterator
| Type for a constant iterator for this container. More...
typedef _base_type::pointer | pointer
| Type for a pointer to an element. More...
typedef _base_type::const_pointer | const_pointer
| Type for a constant pointer for an element. More...
typedef _base_type::size_type | size_type
| Type for size information used in the array. More...
typedef _base_type::difference_type | difference_type
| Type to represent the distance between two iterators. More...
typedef _base_type::clone_allocator_type | clone_allocator_type
typedef _base_type::reverse_iterator | reverse_iterator
| Type for the clone allocator. More...
typedef _base_type::const_reverse_iterator | const_reverse_iterator
| Type for reverse iterator for this container. More...

## Friends
bool | operator== (array< T, CloneAllocator > const &lhs, array< T, CloneAllocator > const &rhs)

## Member Typedef Documentation

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::value_type efl::eina::array< T, CloneAllocator, Enable >::value_type

The type of each element.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::reference efl::eina::array< T, CloneAllocator, Enable >::reference

Type for a reference to an element.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::const_reference efl::eina::array< T, CloneAllocator, Enable >::const_reference

Type for a constant reference to an element.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::const_iterator efl::eina::array< T, CloneAllocator, Enable >::const_iterator

Type for a iterator for this container.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::iterator efl::eina::array< T, CloneAllocator, Enable >::iterator

Type for a constant iterator for this container.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::pointer efl::eina::array< T, CloneAllocator, Enable >::pointer

Type for a pointer to an element.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::const_pointer efl::eina::array< T, CloneAllocator, Enable >::const_pointer

Type for a constant pointer for an element.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::size_type efl::eina::array< T, CloneAllocator, Enable >::size_type

Type for size information used in the array.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::difference_type efl::eina::array< T, CloneAllocator, Enable >::difference_type

Type to represent the distance between two iterators.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::reverse_iterator efl::eina::array< T, CloneAllocator, Enable >::reverse_iterator

Type for the clone allocator.

Type for reverse iterator for this container.

template<typename T, typename CloneAllocator = default_clone_allocator_placeholder, typename Enable = void>

typedef _base_type::const_reverse_iterator efl::eina::array< T, CloneAllocator, Enable >::const_reverse_iterator

Type for reverse iterator for this container.